
    console.log("===in 3===");
    <%# if !@active_record_posts.next_page.blank? && (params[:page] == '1' || params[:page].blank?) %>
        $('.article-feeds').empty().append("<%= j render partial: '/home/article_list', locals: { '@posts': @posts }%>");
        $('a.ssb-icon').toggleClass('ssb-changed')
        $(window).off('scroll');
        $('.pagination').hide();
    <%# else %>
        // $('.article-feeds').append("<%#= j render partial: '/home/article_list', locals: { '@posts': @posts }%>");
        // $('a.ssb-icon').toggleClass('ssb-changed')
    <%# end %>

home_sticky_sidebar()
home_search()
// scroll_pagination_on_home()
show_hide_comments()
bookmark_articles()
like_posts()
list_bookmarked_articles()
trigger_social_share()
$('.view_more_link').click(function(){
    var id = $(this).data('id')
    // alert(1)
    // console.log($(this).next().next());
    // $(this).parent().find('.collapsed').hide()
    // $(this).parent()).hide();
    // $(this).next().find('.detailed').show()
    $(".collapsed_"+id).hide()
    $(".detailed_"+id).show()
})
$('.view_less_link').click(function(){
    var id = $(this).data('id')
    // alert(1)
    // console.log($(this).next().next());
    // $(this).parent().find('.collapsed').hide()
    // $(this).parent()).hide();
    // $(this).next().find('.detailed').show()
    $(".collapsed_"+id).show()
    $(".detailed_"+id).hide()
})
home_screen_hide_on_lost_focus()
remove_bookmark_sidebar()
delete_post()
